# Security Policy

## Supported Versions

Generally the latest release (e.g. `v0.18.x`) is supported with security updates.

## Reporting a Vulnerability

*PLEASE DON'T DISCLOSE SECURITY-RELATED ISSUES PUBLICLY*

If you have found a security issue in AIDE, please disclose it privately and
responsibly by sending a PGP encrypted email (no HTML please) to
`hannes(at)vonhaugwitz(dot)com`.

You should receive a response within a few days. If for some reason you do not,
please follow up via email to ensure we received your original message.

Please add the address above as safe senders in your email client.

Your message should include any of the following (if possible):

- type of issue (e.g. buffer overflow)
- affected versions
- step-by-step instructions to reproduce the issue (if known)
- proof-of-concept or exploit code (if available)
- impact of the issue, including how an attacker might exploit the issue
- your PGP key
- your name and affiliation (if any), if you wish to get recognition
- whether the vulnerability is public or known to third parties (if so please provide details)

Encrypt your mail (preferably in `PGP/MIME` format) using the following PGP key:

```
pub   rsa4096/0xF6947DAB68E7B931 2011-06-28 [C]
      Key fingerprint = 2BBB D30F AAB2 9B32 53BC  FBA6 F694 7DAB 68E7 B931
uid                   [ultimate] Hannes von Haugwitz <hannes@vonhaugwitz.com>
uid                   [ultimate] Hannes von Haugwitz <hvhaugwitz@debian.org>
sub   rsa3072/0x18EE86386022EF57 2011-06-28 [S]
sub   rsa3072/0x57C198E495A601C7 2011-06-28 [E]
sub   rsa3072/0xF4B483CB268B1790 2011-06-28 [A]
```

```
-----BEGIN PGP PUBLIC KEY BLOCK-----
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=CF3r
-----END PGP PUBLIC KEY BLOCK-----
```
